Bug 134227 - starting apache with www/mod_dnssd causes error
Summary: starting apache with www/mod_dnssd causes error
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-gnome (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-05-05 11:00 UTC by TsurutaniNaoki
Modified: 2009-05-06 08:20 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description TsurutaniNaoki 2009-05-05 11:00:03 UTC
	starting apache22 with rc.d/apache22 causes error with www/mod_dnssd,
    which is required by gnome2.
	% /usr/local/etc/rc.d/apache22 start
	Performing sanity check on apache22 configuration:
	httpd: Syntax error on line 116 of /usr/local/etc/apache22/httpd.conf: Cannot load /usr/local/libexec/apache22/mod_dnssd.so into server: /usr/local/lib/libavahi-common.so.3: Undefined symbol "libintl_bindtextdomain"
	Starting apache22.
	httpd: Syntax error on line 116 of /usr/local/etc/apache22/httpd.conf: Cannot load /usr/local/libexec/apache22/mod_dnssd.so into server: /usr/local/lib/libavahi-common.so.3: Undefined symbol "libintl_bindtextdomain"

Fix: mod_dnssd requires libavahi-common.so.3, which is installed by net/avahi-app,
	and libavahi-common.so.3 contains references to libintl_bindtextdomain(),
	which is provided by libintl.so.8 installed by gettext.
	however, libavahi-common.so.3 is not linked to libintl.so.8,
	hence an error of "undefined symbol" raises.

	here is a fix to net/avahi-app:



---end of the patch ---

	I think a change to net/avahi-app/Makefile rev 1.16 is not adeqate,
	for no building process uses gettext.m4 and iconv.m4, which are guessed 
	to define LTLIBINTL and LTLIBICONV.
	As a result, "LTLIBINTL" remains null string, and hence libintl.so.8 is
	not linked to libavahi-common.so.3.--1p76mwlA5hZCYwjrixiKb2CuWVMsB1cZ6lsVSaPHBV9swFR1
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

--- Makefile.orig	2009-05-01 06:57:27.000000000 +0900
+++ Makefile	2009-05-05 18:36:29.000000000 +0900
@@ -107,7 +107,7 @@
 		${WRKSRC}/avahi-client/Makefile.in \
 		${WRKSRC}/avahi-daemon/Makefile.in
 	@${FIND} ${WRKSRC} -name Makefile.in | ${XARGS} \
-	    	${REINPLACE_CMD} -e 's|(LIBINTL)|(LTLIBINTL)|g ; \
+	    	${REINPLACE_CMD} -e 's|(LIBINTL)|(INTLLIBS)|g ; \
 		s|(LIBICONV)|(LTLIBICONV)|g'
 	@${REINPLACE_CMD} -e 's|%%RC_SUBR%%|${RC_SUBR}| ; \
 	    	s|%%GNOME_SUBR%%|${GNOME_SUBR}|' \
Comment 1 Edwin Groothuis freebsd_committer 2009-05-05 11:00:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->gnome

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Joe Marcus Clarke freebsd_committer 2009-05-06 08:14:01 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 3 dfilter service freebsd_committer 2009-05-06 08:14:10 UTC
marcus      2009-05-06 07:13:56 UTC

  FreeBSD ports repository

  Modified files:
    net/avahi-app        Makefile 
  Log:
  Fix the fix to make avahi's libs link to libintl.
  
  PR:             134227
  Submitted by:   Tsurutani Naoki <turutani@scphys.kyoto-u.ac.jp>
  
  Revision  Changes    Path
  1.18      +2 -2      ports/net/avahi-app/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"